> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credential Masked

> Returns one org credential's safe metadata with decrypted values masked; flags decryption failure.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-credential-masked
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-credential-masked:
    get:
      operationId: getCredentialMasked
      summary: Get Credential Masked
      description: >-
        Returns one org credential's safe metadata with decrypted values masked;
        flags decryption failure.


        Not available to API keys.
      parameters:
        - name: credentialsID
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCredentialMaskedResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetCredentialMaskedResponse:
      type: object
      properties:
        credential:
          type: object
          properties:
            credentialsID:
              type: string
            name:
              type:
                - string
                - 'null'
            type:
              type: string
            orgID:
              type: string
            isEmployeeIntegration:
              type:
                - boolean
                - 'null'
            isPayrollIntegration:
              type:
                - boolean
                - 'null'
            autoSyncEnabled:
              type:
                - boolean
                - 'null'
            isExpired:
              type:
                - boolean
                - 'null'
            refreshing:
              type:
                - boolean
                - 'null'
            nextRefreshAt:
              type:
                - string
                - 'null'
            createdAt:
              type: string
            updatedAt:
              type: string
            details:
              type:
                - object
                - 'null'
              additionalProperties: {}
            maskedData:
              type: object
              additionalProperties:
                type: string
            decryptionError:
              type: boolean
          required:
            - credentialsID
            - name
            - type
            - orgID
            - isEmployeeIntegration
            - isPayrollIntegration
            - autoSyncEnabled
            - isExpired
            - refreshing
            - nextRefreshAt
            - createdAt
            - updatedAt
            - details
            - maskedData
      required:
        - credential
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
